package com.qqchen.deploy.backend.deploy.enums;

import lombok.Getter;

/**
 * 部署方式枚举
 */
@Getter
public enum DeployTypeEnum {
    
    K8S("Kubernetes集群部署"),
    DOCKER("Docker容器部署"),
    VM("虚拟机部署");

    private final String description;

    DeployTypeEnum(String description) {
        this.description = description;
    }
} 